> ## Documentation Index
> Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add channel members



## OpenAPI

````yaml post /channels/{channel_id}/members
openapi: 3.0.3
info:
  version: 0.1.1
  title: Datagrid API
  description: Datagrid API
servers:
  - url: https://api.datagrid.com/v1
security:
  - BearerAuth: []
paths:
  /channels/{channel_id}/members:
    parameters:
      - $ref: '#/components/parameters/channel_id'
    post:
      tags:
        - Channels
      summary: Add channel members
      operationId: Channels.addMembers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddChannelMembersRequest'
      responses:
        '200':
          description: Updated member list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelMemberList'
components:
  parameters:
    channel_id:
      name: channel_id
      in: path
      required: true
      schema:
        type: string
  schemas:
    AddChannelMembersRequest:
      type: object
      required:
        - actors
      properties:
        actors:
          type: array
          items:
            type: object
            required:
              - id
              - type
            properties:
              id:
                type: string
              type:
                $ref: '#/components/schemas/ChannelActorType'
    ChannelMemberList:
      type: object
      required:
        - object
        - data
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/ChannelMember'
        has_more:
          type: boolean
    ChannelActorType:
      type: string
      enum:
        - user
        - agent
    ChannelMember:
      type: object
      required:
        - object
        - id
        - channel_id
        - actor
        - created_at
      properties:
        object:
          type: string
          enum:
            - channel.member
        id:
          type: string
        channel_id:
          type: string
        actor:
          $ref: '#/components/schemas/ChannelActor'
        created_at:
          type: string
          format: date-time
    ChannelActor:
      type: object
      required:
        - id
        - type
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/ChannelActorType'
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````